Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions | Static Public Member Functions | Data Fields | Protected Attributes
Lucene::SegmentTermEnum Class Reference

`#include <SegmentTermEnum.h>`

Inheritance diagram for Lucene::SegmentTermEnum:

## Public Member Functions

| SegmentTermEnum ()
| SegmentTermEnum (const IndexInputPtr &i, const FieldInfosPtr &fis, bool isi)
virtual | ~SegmentTermEnum ()
virtual String | getClassName ()
boost::shared_ptr< SegmentTermEnum > | shared_from_this ()
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object. More...
void | seek (int64_t pointer, int64_t p, const TermPtr &t, const TermInfoPtr &ti)
virtual bool | next ()
| Increments the enumeration to the next element. True if one exists. More...
int32_t | scanTo (const TermPtr &term)
| Optimized scan, without allocating new terms. Return number of invocations to next(). More...
virtual TermPtr | term ()
| Returns the current Term in the enumeration. Initially invalid, valid after next() called for the first time. More...
TermPtr | prev ()
| Returns the previous Term enumerated. Initially null. More...
TermInfoPtr | termInfo ()
| Returns the current TermInfo in the enumeration. Initially invalid, valid after next() called for the first time. More...
void | termInfo (const TermInfoPtr &ti)
| Sets the argument to the current TermInfo in the enumeration. Initially invalid, valid after next() called for the first time. More...
virtual int32_t | docFreq ()
| Returns the docFreq of the current Term in the enumeration. Initially invalid, valid after next() called for the first time. More...
int64_t | freqPointer ()
| Returns the freqPointer from the current TermInfo in the enumeration. Initially invalid, valid after next() called for the first time. More...
int64_t | proxPointer ()
| Returns the proxPointer from the current TermInfo in the enumeration. Initially invalid, valid after next() called for the first time. More...
virtual void | close ()
| Closes the enumeration to further activity, freeing resources. More...
Public Member Functions inherited from Lucene::TermEnum
virtual | ~TermEnum ()
boost::shared_ptr< TermEnum > | shared_from_this ()
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed. More...
virtual int32_t | hashCode ()
| Return hash code for this object. More...
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal. More...
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects. More...
virtual String | toString ()
| Returns a string representation of the object. More...
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock. More...
virtual LuceneSignalPtr | getSignal ()
| Return this object signal. More...
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout. More...
virtual void | unlock ()
| Unlock this object. More...
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread. More...
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout. More...
virtual void | notifyAll ()
| Notify all threads waiting for signal. More...

## Static Public Member Functions

static String | _getClassName ()
Static Public Member Functions inherited from Lucene::TermEnum
static String | _getClassName ()

## Data Fields

FieldInfosPtr | fieldInfos
int64_t | size
int64_t | position
int64_t | indexPointer
int32_t | indexInterval
int32_t | skipInterval
int32_t | maxSkipLevels

## Protected Attributes

IndexInputPtr | input
TermBufferPtr | termBuffer
TermBufferPtr | prevBuffer
TermBufferPtr | scanBuffer
TermInfoPtr | _termInfo
int32_t | format
bool | isIndex
int32_t | formatM1SkipInterval
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Additional Inherited Members

Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()

## Constructor & Destructor Documentation

Lucene::SegmentTermEnum::SegmentTermEnum | ( |  | ) |

Lucene::SegmentTermEnum::SegmentTermEnum | ( | const IndexInputPtr & | i,
|  | const FieldInfosPtr & | fis,
|  | bool | isi
| ) |  |

virtual Lucene::SegmentTermEnum::~SegmentTermEnum | ( |  | ) |

virtual

## Member Function Documentation

static String Lucene::SegmentTermEnum::_getClassName | ( |  | ) |

inline static

virtual LuceneObjectPtr Lucene::SegmentTermEnum::clone | ( | const LuceneObjectPtr & | other = `LuceneObjectPtr()` | ) |

virtual

Return clone of this object.

Parameters

  other | clone reference - null when called initially, then set in top virtual override.

Reimplemented from Lucene::LuceneObject.

virtual void Lucene::SegmentTermEnum::close | ( |  | ) |

virtual

Closes the enumeration to further activity, freeing resources.

Implements Lucene::TermEnum.

virtual int32_t Lucene::SegmentTermEnum::docFreq | ( |  | ) |

virtual

Returns the docFreq of the current Term in the enumeration. Initially invalid, valid after next() called for the first time.

Implements Lucene::TermEnum.

int64_t Lucene::SegmentTermEnum::freqPointer | ( |  | ) |

Returns the freqPointer from the current TermInfo in the enumeration. Initially invalid, valid after next() called for the first time.

virtual String Lucene::SegmentTermEnum::getClassName | ( |  | ) |

inline virtual

Reimplemented from Lucene::TermEnum.

virtual bool Lucene::SegmentTermEnum::next | ( |  | ) |

virtual

Increments the enumeration to the next element. True if one exists.

Implements Lucene::TermEnum.

TermPtr Lucene::SegmentTermEnum::prev | ( |  | ) |

Returns the previous Term enumerated. Initially null.

int64_t Lucene::SegmentTermEnum::proxPointer | ( |  | ) |

Returns the proxPointer from the current TermInfo in the enumeration. Initially invalid, valid after next() called for the first time.

int32_t Lucene::SegmentTermEnum::scanTo | ( | const TermPtr & | term | ) |

Optimized scan, without allocating new terms. Return number of invocations to next().

void Lucene::SegmentTermEnum::seek | ( | int64_t | pointer,
|  | int64_t | p,
|  | const TermPtr & | t,
|  | const TermInfoPtr & | ti
| ) |  |

boost::shared_ptr< SegmentTermEnum > Lucene::SegmentTermEnum::shared_from_this | ( |  | ) |

inline

virtual TermPtr Lucene::SegmentTermEnum::term | ( |  | ) |

virtual

Returns the current Term in the enumeration. Initially invalid, valid after next() called for the first time.

Implements Lucene::TermEnum.

TermInfoPtr Lucene::SegmentTermEnum::termInfo | ( |  | ) |

Returns the current TermInfo in the enumeration. Initially invalid, valid after next() called for the first time.

void Lucene::SegmentTermEnum::termInfo | ( | const TermInfoPtr & | ti | ) |

Sets the argument to the current TermInfo in the enumeration. Initially invalid, valid after next() called for the first time.

## Field Documentation

TermInfoPtr Lucene::SegmentTermEnum::_termInfo

protected

FieldInfosPtr Lucene::SegmentTermEnum::fieldInfos

int32_t Lucene::SegmentTermEnum::format

protected

int32_t Lucene::SegmentTermEnum::formatM1SkipInterval

protected

int32_t Lucene::SegmentTermEnum::indexInterval

int64_t Lucene::SegmentTermEnum::indexPointer

IndexInputPtr Lucene::SegmentTermEnum::input

protected

bool Lucene::SegmentTermEnum::isIndex

protected

int32_t Lucene::SegmentTermEnum::maxSkipLevels

int64_t Lucene::SegmentTermEnum::position

TermBufferPtr Lucene::SegmentTermEnum::prevBuffer

protected

TermBufferPtr Lucene::SegmentTermEnum::scanBuffer

protected

int64_t Lucene::SegmentTermEnum::size

int32_t Lucene::SegmentTermEnum::skipInterval

TermBufferPtr Lucene::SegmentTermEnum::termBuffer

protected

The documentation for this class was generated from the following file:

- SegmentTermEnum.h

clucene.sourceforge.net